<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - SAP Servers</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
  </head>
  <body onload="setNavigation('/SAP/sapServers_listServers.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_Listeners.html', 'bla');">
    %switch action%
      %case 'start'%
        %invoke sap.admin.listener:start%
        %onerror%
          %include error.html%
        %endinvoke%
      %case 'stop'%
        %invoke sap.admin.listener:stop%
        %onerror%
          %include error.html%
        %endinvoke%
      %case 'Save'%
        %invoke sap.admin.listener:saveSettings%
        %onerror%
          %include error.html%
        %endinvoke%
      %case 'delete'%
        %invoke sap.admin.listener:remove%
        %onerror%
          %include error.html%
        %endinvoke%
    %endswitch%

    %invoke sap.admin.listener:list%
    
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; SAP
	  Servers &gt; SAP Listeners for %value serverName%</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="sapServers_listServers.dsp">Return to SAP Servers</a></li>
	    <li><a href="sapServers_listenerAdmin.dsp?serverName=%value -urlencode serverName%">Refresh SAP Listener page</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView" width="95%">
	    <thead>
	      <tr>
		<td class="heading" colspan="8">Listener List</td>
	      </tr>
	      <tr>
		<td class="oddcol">Program ID</td>
		<td class="oddcol">Gateway Host</td>
		<td class="oddcol">Gateway Service</td>
		<td class="oddcol" colspan="2">Threads</td>
		<td class="oddcol">Started?</td>
		<td class="oddcol">State</td>
		<td class="oddcol">Delete</td>
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop listeners% -->
	      <tr>
		<td class="evenrowdata-l">
		  <a href="sapServers_editListener.dsp?serverName=%value -urlencode ../serverName%&amp;listenerID=%value -urlencode listenerID%">%value programID%</a>
		</td>
		<td class="evenrowdata">%value gatewayHost%</td>
		<td class="evenrowdata">%value gatewayService%</td>
		<td class="evenrowdata">%value busyThreadCount%/%value maximumBusyThreadCount%</td>
		<td class="evenrowdata">%value activeThreadCount%/%value threadCount%</td>
		<td class="evenrowdata">
		  <a href="sapServers_listenerAdmin.dsp?action=%ifvar state equals('stopped')%start%else%stop%endif%&amp;serverName=%value -urlencode ../serverName%&amp;listenerID=%value -urlencode listenerID%">
		    <!-- %ifvar state equals('stopped')% -->
		    <img alt="No" src="/WmRoot/icons/red-ball.gif" border="0"></img>
		    <!-- %else% -->
		    <img alt="Yes" src="/WmRoot/icons/green-ball.gif" border="0"></img>
		    <!-- %endif% -->
		  </a>
		</td>
		<td class="evenrowdata">
		  <!-- %switch state%-->
		  <!-- %case state 'started'%-->
		  <img alt="started" src="/SAP/icons/blue-ball.gif" border="0"></img>
		  <!-- %case state 'alive'%-->
		  <img alt="alive" src="/WmRoot/icons/green-ball.gif" border="0"></img>
		  <!-- %case state 'stopped'%-->
		  <img alt="stopped" src="/WmRoot/icons/red-ball.gif" border="0"></img>
		  <!-- %case state 'dead'%-->
		  <img alt="dead" src="/WmRoot/icons/red-ball.gif" border="0"></img>
		  <!-- %case state 'startupError'%-->
		  <a href="sapServers_listenerAdmin.dsp?action=viewError&amp;serverName=%value -urlencode ../serverName%&amp;listenerID=%value -urlencode listenerID%">
		    <img alt="startupError" src="/WmRoot/icons/yellow-ball.gif" border="0"></img>
		  </a>
		  <!-- %endswitch% -->
		</td>
		<td class="evenrowdata">
		  <a href="sapServers_listenerAdmin.dsp?serverName=%value -urlencode ../serverName%&amp;action=delete&amp;listenerID=%value -urlencode listenerID%"><img alt="delete" src="/WmRoot/icons/delete.gif" border="0"></img></a>
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	    <tbody>
	      <tr>
		<td class="action" colspan="8">
		  <form action="sapServers_editListener.dsp" method="post">
		    <input type="hidden" name="serverName" value="%value serverName%"></input>
		    <input type="submit" value="Add Listener"></input>
		  </form>
		</td>
	      </tr>
	      
	      <!-- %ifvar /action equals('viewError')% -->
	      <!-- %invoke sap.admin.listener:checkStartupError% -->
	      <!-- %ifvar error% -->
	      <tr>
		<td class="heading" colspan="7">Error %value errorType%</td>
	      </tr>
	      <tr>
		<td class="rowlabel">Message</td>
		<td class="oddrowdata-l" colspan="6">%value error%</td>
	      </tr>
	      <!-- %ifvar key% -->
	      <tr>
		<td class="rowlabel">Key</td>
		<td class="oddrowdata-l" colspan="6">%value key%</td>
	      </tr>
	      <tr>
		<td class="rowlabel">Group</td>
		<td class="oddrowdata-l" colspan="6">%value group%</td>
	      </tr>
	      <!-- %endif% -->
	      <!-- %endif% -->
	      <!-- %endinvoke% -->
	      <!-- %endif% -->
	    </tbody>
	  </table>
	  <script>swapColor('tbodyNode', false);</script>
	</td>
      </tr>
    </table>
    %onerror% %include error.html%
    %endinvoke%
  </body>
</html>