#!/bin/sh

if [ ! -f $1 ]; then
    echo ""
    echo "  usage:  EXTInstallSAP.sh [configfile]"
    echo ""
    echo "  where:"
    echo "      configfile = properties file with database connection info"
    echo "                   Example: MXServer.properties"
    echo "        upgrade  = (y/n) y=do not overwrite existing controls"
    echo "                      n=overwrite controls with default values"
    exit 10
fi

# Setup Environment for Executing Commands...
MXSERVER_HOME=.
JRE=$MXSERVER_HOME/jre/bin/java
JRE_CLASSPATH=$MXSERVER_HOME:$MXSERVER_HOME/lib/j2ee.jar:$MXSERVER_HOME/lib/oraclethin.zip:$MXSERVER_HOME/lib/activation.jar:$MXSERVER_HOME/lib/mail.jar
APP=psdi.iface.install.EXTInstallSAP
CONFIG=$1
UPGRADE=$2

$JRE -Dconfigfile=$CONFIG -Dupgrade=$UPGRADE -classpath $JRE_CLASSPATH $APP
exit 0
